Clover coverage report - PMD - 3.7
Coverage timestamp: Wed May 31 2006 09:25:59 EDT

file stats: | LOC: | 37 |  | Methods: | 3
| NCLOC: | 16 |  | Classes: | 1

Source file | Conditionals | Statements | Methods | TOTAL

SyntaxErrorException.java

-

0%

0%

0%

1 |  | /*
2 |  | * Created on 11-jan-2006
3 |  | */
4 |  | package net.sourceforge.pmd.jsp.ast;
5 |  |
6 |  | /**
7 |  | * @author Pieter_Van_Raemdonck
8 |  | * Exception indicating that a syntactic error has been found.
9 |  | */
10 |  | public abstract class SyntaxErrorException extends ParseException {
11 |  | private int line;
12 |  | private String ruleName;
13 |  |
14 |  | /**
15 |  | * @param line
16 |  | * @param ruleName
17 |  | */
18 | 0 | public SyntaxErrorException(int line, String ruleName) {
19 | 0 | super();
20 | 0 | this.line = line;
21 | 0 | this.ruleName = ruleName;
22 |  | }
23 |  |
24 |  | /**
25 |  | * @return Returns the line.
26 |  | */
27 | 0 | public int getLine() {
28 | 0 | return line;
29 |  | }
30 |  |
31 |  | /**
32 |  | * @return Returns the ruleName.
33 |  | */
34 | 0 | public String getRuleName() {
35 | 0 | return ruleName;
36 |  | }
37 |  | }